---

- name: create jenkins data directories
  file:
    path: "{{ container_env_directory }}/jenkins/{{ item }}"
    state: directory
    owner: "1000"
    group: "1000"
    mode: 0750
  loop:
    - ".secrets"
    - "data"
    - "docker-certs"
  tags:
    - build_jenkins
    - build_jenkins_credentials

- name: create maven dot directories
  file:
    path: "{{ container_env_directory }}/jenkins/m2"
    state: directory
    owner: "1000"
    group: "1000"
    mode: 0750
  tags:
    - build_jenkins
    - build_jenkins_credentials

# - name: create jenkins secrets
#   template:
#     src: ../templates/jenkins/jenkins-credentials.yml.j2
#     dest: "{{ container_env_directory }}/jenkins/.secrets/credentials.yml"
#     owner: "1000"
#     group: "1000"
#     mode: 0644
#   no_log: true

- name: create credentials.yml with secrects
  template:
    src: ../../templates/jenkins/credentials.yml.j2
    dest: "{{ container_env_directory }}/jenkins/.secrets/credentials-{{ item }}.yml"
    owner: "1000"
    group: "1000"
    mode: 0644
  loop:
    - ssh_keys
    # - aws
    - users
    - files
  tags:
    - build_jenkins
    - build_jenkins_credentials

- name: create maven secrets
  template:
    src: ../../templates/jenkins/settings.xml.j2
    dest: "{{ container_env_directory }}/jenkins/.secrets/settings.xml"
    owner: "1000"
    group: "1000"
    mode: 0644
  # no_log: true
  tags:
    - build_jenkins
    - build_jenkins_credentials

- name: create maven secrets
  template:
    src: ../../templates/jenkins/settings.xml.j2
    dest: "{{ container_env_directory }}/jenkins/m2/settings.xml"
    owner: "1000"
    group: "1000"
    mode: 0644
  # no_log: true
  tags:
    - build_jenkins
    - build_jenkins_credentials
